use warnings;
use strict;

package Business::XPDL::Util;
use base 'Exporter';

our @EXPORT      = qw/NS_XPDL_009 NS_XPDL_10 NS_XPDL_20 NS_XPDL_21/;

our %EXPORT_TAGS =
 ( xpdl009 => [ qw/NS_XPDL_009/           ]
 , xpdl10  => [ qw/NS_XPDL_10/            ]
 , xpdl20  => [ qw/NS_XPDL_20 NS_XPDL_10/ ]
 , xpdl21  => [ qw/NS_XPDL_21 NS_XPDL_20 NS_XPDL_10/ ]
 );

=head1 NAME

Business::XPDL::Util - XPDL useful constants

=head1 SYNOPSIS

  use Business::XPDL::Util ':xpdl21';

=head1 DESCRIPTION
Defines the namespaces used with EOP.

=head1 FUNCTIONS

=head2 Constants

Defined are C<NS_XPDL_009>, C<NS_XPDL_10>, C<NS_XPDL_20>, and
C<NS_XPDL_21>.

=cut

use constant
 { NS_XPDL_009 => 'http://www.wfmc.org/2002/XPDL1.0'
 , NS_XPDL_10  => 'http://www.wfmc.org/2002/XPDL1.0'
 , NS_XPDL_20  => 'http://www.wfmc.org/2004/XPDL2.0alpha'
 , NS_XPDL_21  => 'http://www.wfmc.org/2008/XPDL2.1'
 };

1;
